# Sinara 8452 DSP Stabilizer

[Wiki](https://github.com/sinara-hw/Stabilizer/wiki)
[QUARTIQ Manual](https://quartiq.de/stabilizer/)

## JSON

No JSON modifications required.

## Testing

1. Ensure that the [firmware](https://github.com/quartiq/stabilizer) has been flashed onto the Stabilizer
2. Turn on the crate/Stabilizer
3. Set up the signal generator for an amplitude of 1V, frequency of 10kHz, and a sine wave
4. Use the splitter to connect the generator's output to ADC0 and to the oscilloscope (refer to the picture below)
   ![](../img/stabilizer_signal_generator.jpg)
5. Configure the oscilloscope so that the sine wave is clearly visible
6. Connect the second channel of the oscilloscope to the Stabilizer's DAC0
7. Ensure that there is the same wave on the second channel, with a small delay, as on the first channel
8. Repeat steps 4-7 for ADC/DAC1 (refer to the picture below for connection reference)
   ![](../img/stabilizer_ports_match.jpg)
